> For a complete page index, fetch https://docs.transak.com/llms.txt # Transaction Session API POST https://api-gateway-stg.transak.com/api/v2/transaction-session Content-Type: application/json Creates a Headless Apple Pay transaction session. Returns a `sessionId` for your integration. Requires a valid user access token and approved KYC where applicable. **Note:** Ensure the `quoteId` was generated with `paymentMethod` set to `apple_pay`. Reference: https://docs.transak.com/api/whitelabel/payments/headless-apple-pay/transaction-session-api ## Request ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `authorization` (string, optional) — Authorization token is the accessToken received from the API -` api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) ### Body (application/json) This endpoint expects a CreateTransactionSessionRequest. - `quoteId` (string, required) — Quote ID from the [Quotes API](/api/whitelabel/lookup/get-quote). - `walletAddress` (string, required) — Destination crypto wallet address. - `config` (CreateTransactionSessionRequestConfig, optional) — Additional optional UI configuration passed through to the session. ## Response ### 200 Success - `data` (TransactionSessionData, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ApiErrorBodyError, required) ### 401 Unauthorized Error Unauthorized - `error` (ApiErrorBodyError, required) ### 422 Unprocessable Entity Error Unprocessable Entity - `error` (ApiErrorBodyError, required) ### 500 Internal Server Error Internal Server Error - `error` (ApiErrorBodyError, required) ## Types ### CreateTransactionSessionRequestConfig Additional optional UI configuration passed through to the session. - `colorMode` (enum, optional) — UI color mode for the Apple Pay flow. - Allowed values: `DARK`, `LIGHT` - `borderRadius` (string, optional) — CSS border radius applied to UI elements. Only `px` and `rem` units are supported. - `height` (string, optional) — CSS height applied to the Apple Pay container. Only `px` and `rem` units are supported. ### TransactionSessionData - `sessionId` (string, required) — Session token for the Headless Apple Pay flow. ### ApiErrorBodyError - `statusCode` (integer, required) - `message` (string, required) - `errorCode` (integer, optional) — Machine-readable error code for client handling. ### ApiErrorBodyError - `statusCode` (integer, required) - `message` (string, required) - `errorCode` (integer, optional) — Machine-readable error code for client handling. ## Examples **Request** ```json { "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285", "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12", "config": { "colorMode": "LIGHT", "borderRadius": "8px", "height": "48px" } } ``` **Response** ```json { "data": { "sessionId": "eyJhbGciOiJFZERTQSJ9.eyJwcyI6ImFiY2QxMjM0In0.sig" } } ``` **SDK Code** ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/transaction-session" payload = { "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285", "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12", "config": { "colorMode": "LIGHT", "borderRadius": "8px", "height": "48px" } } headers = { "x-api-key": "", "x-user-ip": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/transaction-session'; const options = { method: 'POST', headers: {'x-api-key': '', 'x-user-ip': '', 'Content-Type': 'application/json'}, body: '{"quoteId":"3417136e-2a64-4c3d-ba20-ac1dc2890285","walletAddress":"0xABCDEF1234567890abcdef1234567890ABCDEF12","config":{"colorMode":"LIGHT","borderRadius":"8px","height":"48px"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/transaction-session" payload := strings.NewReader("{\n \"quoteId\": \"3417136e-2a64-4c3d-ba20-ac1dc2890285\",\n \"walletAddress\": \"0xABCDEF1234567890abcdef1234567890ABCDEF12\",\n \"config\": {\n \"colorMode\": \"LIGHT\",\n \"borderRadius\": \"8px\",\n \"height\": \"48px\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/transaction-session") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"quoteId\": \"3417136e-2a64-4c3d-ba20-ac1dc2890285\",\n \"walletAddress\": \"0xABCDEF1234567890abcdef1234567890ABCDEF12\",\n \"config\": {\n \"colorMode\": \"LIGHT\",\n \"borderRadius\": \"8px\",\n \"height\": \"48px\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-gateway-stg.transak.com/api/v2/transaction-session") .header("x-api-key", "") .header("x-user-ip", "") .header("Content-Type", "application/json") .body("{\n \"quoteId\": \"3417136e-2a64-4c3d-ba20-ac1dc2890285\",\n \"walletAddress\": \"0xABCDEF1234567890abcdef1234567890ABCDEF12\",\n \"config\": {\n \"colorMode\": \"LIGHT\",\n \"borderRadius\": \"8px\",\n \"height\": \"48px\"\n }\n}") .asString(); ``` ```php Success request('POST', 'https://api-gateway-stg.transak.com/api/v2/transaction-session', [ 'body' => '{ "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285", "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12", "config": { "colorMode": "LIGHT", "borderRadius": "8px", "height": "48px" } }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/transaction-session"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"quoteId\": \"3417136e-2a64-4c3d-ba20-ac1dc2890285\",\n \"walletAddress\": \"0xABCDEF1234567890abcdef1234567890ABCDEF12\",\n \"config\": {\n \"colorMode\": \"LIGHT\",\n \"borderRadius\": \"8px\",\n \"height\": \"48px\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "x-api-key": "", "x-user-ip": "", "Content-Type": "application/json" ] let parameters = [ "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285", "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12", "config": [ "colorMode": "LIGHT", "borderRadius": "8px", "height": "48px" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/transaction-session")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```